/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.tidalwave.semantic.selection;

import it.tidalwave.semantic.other.Relationable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
import javax.annotation.Nonnull;

/**
 *
 * @author fritz
 */
public class RelationableSelection implements Iterable<Relationable>
  {
    public final Set<Relationable> contents = new HashSet<Relationable>();

    public RelationableSelection (@Nonnull final Relationable ... contents)
      {
        this.contents.addAll(Arrays.asList(contents));
      }

    @Nonnull
    public Collection<Relationable> getContents()
      {
        return Collections.unmodifiableSet(contents);
      }

    @Nonnull
    public Iterator<Relationable> iterator()
      {
        return getContents().iterator();
      }
  }
